TransactionStatus (Oracle - Berkeley DB Java API)
Date: 2010-08-27

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class TransactionStatus

    java.lang.Object
      com.sleepycat.db.TransactionStatus

    public final class TransactionStatus

extends Object

Status values from transaction application checking operations.

Field Summary
`static TransactionStatus` | `APPLIED` The transaction has been applied on the current replica node.
`static TransactionStatus` | `EMPTY_TRANSACTION` The transaction did not update the database.
`static TransactionStatus` | `NOTFOUND` No such transaction found in the replication group.
`static TransactionStatus` | `TIMEOUT` The transaction has not yet been applied on this replica node.

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### APPLIED

    public static final TransactionStatus APPLIED

  The transaction has been applied on the current replica node.

### TIMEOUT

    public static final TransactionStatus TIMEOUT

  The transaction has not yet been applied on this replica node.

### EMPTY_TRANSACTION

    public static final TransactionStatus EMPTY_TRANSACTION

  The transaction did not update the database.

### NOTFOUND

    public static final TransactionStatus NOTFOUND

  No such transaction found in the replication group.

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 5.1.19
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010 Oracle and/or its affiliates. All rights reserved.